# -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _
from django.views.generic import ListView, DetailView
from jmb.press.models import Press


class PressDetailView(DetailView):
    context_object_name = 'object'
    template_name = 'press/cms_apps/press_detail.html'
    model = Press

class PressPerAreaListView(ListView):
    context_object_name = 'objects'
    template_name = 'press/cms_apps/press_press_per_area_list.html'

    def get_queryset(self):
        objects = Press.objects.filter(status=1)
        self.area_slug = self.kwargs['area_slug']
        objects = objects.filter(area__slug=self.area_slug)
        return objects

class PressPerSourceListView(ListView):
    context_object_name = 'objects'
    template_name = 'press/cms_apps/press_press_per_source_list.html'

    def get_queryset(self):
        objects = Press.objects.filter(status=1)
        self.source_slug = self.kwargs['source_slug']
        objects = objects.filter(source__slug=self.source_slug)
        return objects
