# -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _
from django import forms

from jmb.press.models import Press, AreaPress, Source

class SearchPressForm(forms.ModelForm):
    date_p__month = forms.ChoiceField(label = _("Month"), required=False)
    date_p__year = forms.ChoiceField(label = _("Year"), required=False)
    title__icontains = forms.CharField(label = _("Title ><"),required=False)
    abstract__icontains = forms.CharField(label = _("Abstract ><"),required=False)
    obj = forms.CharField(initial="press", widget=forms.HiddenInput)

    def __init__(self, *args, **kwargs):
        super(SearchPressForm, self).__init__(*args, **kwargs)
        self.fields['date_p__month'].choices = [('','-'*9)]+Press.get_months()
        self.fields['date_p__year'].choices = [('','-'*4)]+Press.get_years()
        self.fields['area'].queryset = AreaPress.objects.filter(status=1)
        self.fields['source'].queryset = Source.objects.filter(status=1)

    class Meta:
        model = Press
        fields = ('area', 'source',)
