# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'AreaPress'
        db.create_table('press_areapress', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, max_length=3, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='press_areapress_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='press_areapress_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100, db_index=True)),
            ('slug', self.gf('django.db.models.fields.SlugField')(unique=True, max_length=100)),
        ))
        db.send_create_signal('press', ['AreaPress'])

        # Adding model 'Source'
        db.create_table('press_source', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, max_length=3, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='press_source_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='press_source_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100, db_index=True)),
            ('slug', self.gf('django.db.models.fields.SlugField')(max_length=100)),
        ))
        db.send_create_signal('press', ['Source'])

        # Adding model 'Press'
        db.create_table('press_press', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, max_length=3, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='press_press_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='press_press_last_modifier', null=True, to=orm['auth.User'])),
            ('meta_description', self.gf('django.db.models.fields.TextField')(max_length=255, null=True, blank=True)),
            ('meta_keywords', self.gf('django.db.models.fields.CharField')(max_length=255, null=True, blank=True)),
            ('page_title', self.gf('django.db.models.fields.CharField')(max_length=255, null=True, blank=True)),
            ('date_p', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=300, db_index=True)),
            ('slug', self.gf('django.db.models.fields.SlugField')(max_length=100)),
            ('source', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='press', null=True, to=orm['press.Source'])),
            ('file', self.gf('django.db.models.fields.files.FileField')(max_length=100, null=True, blank=True)),
            ('abstract', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('keywords', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=200, null=True, blank=True)),
            ('area', self.gf('django.db.models.fields.related.ForeignKey')(related_name='press', to=orm['press.AreaPress'])),
        ))
        db.send_create_signal('press', ['Press'])

        # Adding model 'PressListSettings'
        db.create_table('cmsplugin_presslistsettings', (
            ('cmsplugin_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['cms.CMSPlugin'], unique=True, primary_key=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('area_slugs_included', self.gf('django.db.models.fields.CharField')(max_length=150, blank=True)),
            ('source_slugs_included', self.gf('django.db.models.fields.CharField')(max_length=150, blank=True)),
            ('slugs_included', self.gf('django.db.models.fields.CharField')(max_length=100, blank=True)),
            ('area_slugs_excluded', self.gf('django.db.models.fields.CharField')(max_length=100, blank=True)),
            ('source_slugs_excluded', self.gf('django.db.models.fields.CharField')(max_length=100, blank=True)),
            ('slugs_excluded', self.gf('django.db.models.fields.CharField')(max_length=150, blank=True)),
            ('objects_per_page', self.gf('django.db.models.fields.IntegerField')(default=10)),
            ('ordering', self.gf('django.db.models.fields.CharField')(default='ordering, -date_p, title', max_length=100)),
            ('template_name', self.gf('django.db.models.fields.CharField')(default='press/cms_plugins/press_list.html', max_length=100)),
        ))
        db.send_create_signal('press', ['PressListSettings'])

        # Adding model 'PressListPerAreaSettings'
        db.create_table('cmsplugin_presslistperareasettings', (
            ('cmsplugin_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['cms.CMSPlugin'], unique=True, primary_key=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('area_slugs_included', self.gf('django.db.models.fields.CharField')(max_length=150, blank=True)),
            ('source_slugs_included', self.gf('django.db.models.fields.CharField')(max_length=150, blank=True)),
            ('slugs_included', self.gf('django.db.models.fields.CharField')(max_length=100, blank=True)),
            ('area_slugs_excluded', self.gf('django.db.models.fields.CharField')(max_length=100, blank=True)),
            ('source_slugs_excluded', self.gf('django.db.models.fields.CharField')(max_length=100, blank=True)),
            ('slugs_excluded', self.gf('django.db.models.fields.CharField')(max_length=150, blank=True)),
            ('press_per_area', self.gf('django.db.models.fields.IntegerField')(default=10)),
            ('objects_per_page', self.gf('django.db.models.fields.IntegerField')(default=10)),
            ('ordering_per_area', self.gf('django.db.models.fields.CharField')(default='ordering, name', max_length=100)),
            ('ordering_per_press', self.gf('django.db.models.fields.CharField')(default='ordering, -date_p, title', max_length=100)),
            ('template_name', self.gf('django.db.models.fields.CharField')(default='press/cms_plugins/press_list_per_area.html', max_length=100)),
        ))
        db.send_create_signal('press', ['PressListPerAreaSettings'])

        # Adding model 'PressListPerSourceSettings'
        db.create_table('cmsplugin_presslistpersourcesettings', (
            ('cmsplugin_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['cms.CMSPlugin'], unique=True, primary_key=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('area_slugs_included', self.gf('django.db.models.fields.CharField')(max_length=150, blank=True)),
            ('source_slugs_included', self.gf('django.db.models.fields.CharField')(max_length=150, blank=True)),
            ('slugs_included', self.gf('django.db.models.fields.CharField')(max_length=100, blank=True)),
            ('area_slugs_excluded', self.gf('django.db.models.fields.CharField')(max_length=100, blank=True)),
            ('source_slugs_excluded', self.gf('django.db.models.fields.CharField')(max_length=100, blank=True)),
            ('slugs_excluded', self.gf('django.db.models.fields.CharField')(max_length=150, blank=True)),
            ('press_per_source', self.gf('django.db.models.fields.IntegerField')(default=10)),
            ('objects_per_page', self.gf('django.db.models.fields.IntegerField')(default=10)),
            ('ordering_per_source', self.gf('django.db.models.fields.CharField')(default='ordering, name', max_length=100)),
            ('ordering_per_press', self.gf('django.db.models.fields.CharField')(default='ordering, -date_p, title', max_length=100)),
            ('template_name', self.gf('django.db.models.fields.CharField')(default='press/cms_plugins/press_list_per_source.html', max_length=100)),
        ))
        db.send_create_signal('press', ['PressListPerSourceSettings'])


    def backwards(self, orm):
        # Deleting model 'AreaPress'
        db.delete_table('press_areapress')

        # Deleting model 'Source'
        db.delete_table('press_source')

        # Deleting model 'Press'
        db.delete_table('press_press')

        # Deleting model 'PressListSettings'
        db.delete_table('cmsplugin_presslistsettings')

        # Deleting model 'PressListPerAreaSettings'
        db.delete_table('cmsplugin_presslistperareasettings')

        # Deleting model 'PressListPerSourceSettings'
        db.delete_table('cmsplugin_presslistpersourcesettings')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'cms.cmsplugin': {
            'Meta': {'object_name': 'CMSPlugin'},
            'changed_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.CMSPlugin']", 'null': 'True', 'blank': 'True'}),
            'placeholder': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.Placeholder']", 'null': 'True'}),
            'plugin_type': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'position': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'press.areapress': {
            'Meta': {'object_name': 'AreaPress'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'press_areapress_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'press_areapress_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '100'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        'press.press': {
            'Meta': {'ordering': "['ordering', '-date_p', 'title']", 'object_name': 'Press'},
            'abstract': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'area': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'press'", 'to': "orm['press.AreaPress']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'press_press_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_p': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'file': ('django.db.models.fields.files.FileField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'keywords': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'press_press_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'meta_description': ('django.db.models.fields.TextField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'meta_keywords': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'page_title': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '100'}),
            'source': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'press'", 'null': 'True', 'to': "orm['press.Source']"}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '300', 'db_index': 'True'})
        },
        'press.presslistperareasettings': {
            'Meta': {'object_name': 'PressListPerAreaSettings', 'db_table': "'cmsplugin_presslistperareasettings'", '_ormbases': ['cms.CMSPlugin']},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'area_slugs_excluded': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'area_slugs_included': ('django.db.models.fields.CharField', [], {'max_length': '150', 'blank': 'True'}),
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'objects_per_page': ('django.db.models.fields.IntegerField', [], {'default': '10'}),
            'ordering_per_area': ('django.db.models.fields.CharField', [], {'default': "'ordering, name'", 'max_length': '100'}),
            'ordering_per_press': ('django.db.models.fields.CharField', [], {'default': "'ordering, -date_p, title'", 'max_length': '100'}),
            'press_per_area': ('django.db.models.fields.IntegerField', [], {'default': '10'}),
            'slugs_excluded': ('django.db.models.fields.CharField', [], {'max_length': '150', 'blank': 'True'}),
            'slugs_included': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'source_slugs_excluded': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'source_slugs_included': ('django.db.models.fields.CharField', [], {'max_length': '150', 'blank': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'press/cms_plugins/press_list_per_area.html'", 'max_length': '100'})
        },
        'press.presslistpersourcesettings': {
            'Meta': {'object_name': 'PressListPerSourceSettings', 'db_table': "'cmsplugin_presslistpersourcesettings'", '_ormbases': ['cms.CMSPlugin']},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'area_slugs_excluded': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'area_slugs_included': ('django.db.models.fields.CharField', [], {'max_length': '150', 'blank': 'True'}),
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'objects_per_page': ('django.db.models.fields.IntegerField', [], {'default': '10'}),
            'ordering_per_press': ('django.db.models.fields.CharField', [], {'default': "'ordering, -date_p, title'", 'max_length': '100'}),
            'ordering_per_source': ('django.db.models.fields.CharField', [], {'default': "'ordering, name'", 'max_length': '100'}),
            'press_per_source': ('django.db.models.fields.IntegerField', [], {'default': '10'}),
            'slugs_excluded': ('django.db.models.fields.CharField', [], {'max_length': '150', 'blank': 'True'}),
            'slugs_included': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'source_slugs_excluded': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'source_slugs_included': ('django.db.models.fields.CharField', [], {'max_length': '150', 'blank': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'press/cms_plugins/press_list_per_source.html'", 'max_length': '100'})
        },
        'press.presslistsettings': {
            'Meta': {'object_name': 'PressListSettings', 'db_table': "'cmsplugin_presslistsettings'", '_ormbases': ['cms.CMSPlugin']},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'area_slugs_excluded': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'area_slugs_included': ('django.db.models.fields.CharField', [], {'max_length': '150', 'blank': 'True'}),
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'objects_per_page': ('django.db.models.fields.IntegerField', [], {'default': '10'}),
            'ordering': ('django.db.models.fields.CharField', [], {'default': "'ordering, -date_p, title'", 'max_length': '100'}),
            'slugs_excluded': ('django.db.models.fields.CharField', [], {'max_length': '150', 'blank': 'True'}),
            'slugs_included': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'source_slugs_excluded': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'source_slugs_included': ('django.db.models.fields.CharField', [], {'max_length': '150', 'blank': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'press/cms_plugins/press_list.html'", 'max_length': '100'})
        },
        'press.source': {
            'Meta': {'ordering': "['name']", 'object_name': 'Source'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'press_source_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'press_source_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '100'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        }
    }

    complete_apps = ['press']